// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER
// @version 2.0

using System;

namespace TopCoder.Util.ConfigurationManager
{
    /// <summary>
    /// InstanceCreationException is thrown by the CreateInstance methods
    /// of ConfigManager if the instances can not be created correctly 
    /// by the type name and/or assembly name loaded  from the configuration manager.
    /// </summary>
    [Serializable]
    public class InstanceCreationException : Exception
    {
        /// <summary>
        /// Creates a new instance of InstanceCreationException with the error message.
        /// </summary>
        /// <param name="message">Error message describing the exception.</param>
        public InstanceCreationException (string message) : base (message)
        {
            
        }

        /// <summary>
        /// Creates a new instance of InstanceCreationException with the error message 
        /// and inner exception.
        /// </summary>
        /// <param name="message">Error message describing the exception.</param>
        /// <param name="innerException">The inner exception.</param>
        public InstanceCreationException (string message, Exception innerException) :
            base (message, innerException)
        {
        }
    }
}
