// Copyright (c)2003, TopCoder, Inc. All rights reserved
// @author BAman
// @author adic
// @version 1.0

using System;
using System.Runtime.Serialization;

namespace TopCoder.Util.ConfigurationManager
{
    /// <summary>
    /// Exception thrown when the configuration file format is unknown
    /// (no handler supports it).
    /// </summary>
    [Serializable]
    public class UnknownFormatException: Exception
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public UnknownFormatException(): base()
        {
        }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// 
        /// <param name="message">the error message</param>
        public UnknownFormatException(string message): base(message)
        {
        }
        
        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="info">the serialization info</param>
        /// <param name="context">the streaming context</param>
        public UnknownFormatException(SerializationInfo info, StreamingContext context): base(info, context)
        {
        }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// 
        /// <param name="message">the error message</param>
        /// <param name="inner">the inner exception</param>
        public UnknownFormatException(string message, Exception inner): 
                base(message, inner)
        {
        }
    }
}
