/*
Copyright (c) 2004, TopCoder, Inc. All rights reserved.
Author: WishingBone
*/

using System;
using NUnit.Framework;

namespace TopCoder.Util.ConfigurationManager.FailureTests
{

    /// <summary>
    /// Failure test fixture for ParsingPreference.
    /// </summary>
    [TestFixture]
    public class ParsingPreferenceFailureTests
    {

        /// <summary>
        /// Parse null.
        /// </summary>
        [Test, ExpectedException(typeof(ParsingPreferenceException))]
        public void ParseNull()
        {
            ParsingPreference pref = new ParsingPreference();
            pref.AllowNull = false;
            pref.Parse(null);
        }

        /// <summary>
        /// Parse empty.
        /// </summary>
        [Test, ExpectedException(typeof(ParsingPreferenceException))]
        public void ParseEmpty()
        {
            ParsingPreference pref = new ParsingPreference();
            pref.AllowEmpty = false;
            pref.Parse(string.Empty);
        }

    }

}
