// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER
// @version 2.0
// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER
// @version 2.0

using System;
using TopCoder.Util.ConfigurationManager;

namespace TopCoder.Util.ConfigurationManager.UnitTests
{
    /// <summary>
    /// An implementation of the IParsingPreference interface.
    /// </summary>
    public class MyParsingPreference1 : IParsingPreference
    {
        private String[] validValues = { "RED", "BLUE", "GREEN" };

        #region IParsingPreference Members

        /// <summary>
        /// Parse the input string based on some implementation defined rules.
        /// </summary>
        /// <param name="val">The value to be parsed.</param>
        /// <returns>The parsed string if successful.</returns>
        /// <exception cref="ParsingPreferenceException">
        /// If the input string cannot be parsed successfully.
        /// </exception>
        public string Parse(string val)
        {
            int idx = validValues.Length;

            try
            {
                idx = System.Convert.ToInt32(val);
                if (idx > validValues.Length - 1)
                    idx = validValues.Length;
            }
            catch (Exception)
            {
                throw new ParsingPreferenceException (val + " cannot be parsed.");
            }
            return validValues[idx];
        }

        #endregion

        /// <summary>
        /// Default constructor
        /// </summary>
        public MyParsingPreference1()
        {
        }
    }

}
