using System;
using System.Collections.Generic;
using System.Text;

namespace TopCoder.Util.SandCastle
{
    class Program
    {
        static void Main(string[] args)
        {
            // See if was passed needed arguments
            if (args.Length < 1 || args.Length > 3)
            {
                Console.WriteLine("Usage: scastle_console <assembly-path> [<output-folder> [net11|net20]]");
                return;
            }

            // Creates the documenter and fill their properties.
            SandCastleDocumenter gendoc = new SandCastleDocumenter();
            gendoc.Assembly = args[0];
            if (args.Length >= 2)
                gendoc.OutFolder = args[1];
            if (args.Length >= 3)
            {
                if (args[2].ToLower() == "net11")
                    gendoc.Is11 = true;
                else if (args[2].ToLower() == "net20")
                    gendoc.Is11 = false;
                else
                {
                    Console.WriteLine("Invalid target. 'net11' or 'net20' is expected and you indicated '{0}'", args[3]);
                    return;
                }
            }
            try
            {
                // Generate documentation.
                Console.WriteLine("Generating Documentation for '{0}'", gendoc.Assembly);
                gendoc.InitializeDocumenter();
                gendoc.ExecuteDocumenter();
            }
            catch (Exception e)
            {
                // dump exceptions
                Console.WriteLine("Exception: " + e.GetType().FullName);
                Console.WriteLine("'{0}'", e.Message);

                bool pMsg = true;
                for (Exception ex = e.InnerException; ex != null; ex = ex.InnerException)
                {
                    if (pMsg)
                    {
                        pMsg = false;
                        Console.WriteLine("\nInner Exceptions:");
                    }
                    Console.WriteLine("'{0}'", ex.Message);
                }
            }
        }
    }
}
